summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leo C <leoc@gmx.com>2018-01-25 22:25:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-27 07:43:48 +0700
commit84ed8708fd06cd5b7e35430d4b891ecd1e7abb65 (patch)
treeeae4ac581f94af5f606a01fac4828fcc8ef474ef /desktop
parent414e2f5eec15bcee042b18af3ba3cda6a9c9b46e (diff)
downloadslackbuilds-84ed8708fd06cd5b7e35430d4b891ecd1e7abb65.tar.gz
slackbuilds-84ed8708fd06cd5b7e35430d4b891ecd1e7abb65.tar.xz
desktop/docfetcher: Added (Java desktop search application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/docfetcher/README3
-rw-r--r--desktop/docfetcher/docfetcher.SlackBuild134
-rw-r--r--desktop/docfetcher/docfetcher.info10
-rw-r--r--desktop/docfetcher/doinst.sh3
-rw-r--r--desktop/docfetcher/paths.patch18
-rw-r--r--desktop/docfetcher/slack-desc19
6 files changed, 187 insertions, 0 deletions
diff --git a/desktop/docfetcher/README b/desktop/docfetcher/README
new file mode 100644
index 0000000000..ae52d44882
--- /dev/null
+++ b/desktop/docfetcher/README
@@ -0,0 +1,3 @@
+DocFetcher is an Open Source desktop search application.
+It allows you to search the contents of files on your computer.
+You can think of it as Google for your local files.
diff --git a/desktop/docfetcher/docfetcher.SlackBuild b/desktop/docfetcher/docfetcher.SlackBuild
new file mode 100644
index 0000000000..fd4bc53881
--- /dev/null
+++ b/desktop/docfetcher/docfetcher.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/sh
+
+# Slackware build script for docfetcher
+
+# Copyright 2018 Leonardo Citrolo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=docfetcher
+SRCNAM=DocFetcher
+VERSION=${VERSION:-1.1.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$ARCH" in
+ i?86) ;;
+ x86_64) ;;
+ *) echo "$ARCH architecture is not supported"; exit 1 ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-portable.zip
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Set some sane defaults
+patch -p1 -i $CWD/paths.patch --verbose
+
+mkdir -p $PKG/usr/share/{$PRGNAM,applications} \
+ $PKG/usr/bin
+cp -a help img lang lib misc \
+ $SRCNAM-GTK2.sh $SRCNAM-GTK3.sh $PRGNAM-daemon-linux Readme.txt \
+ $PKG/usr/share/$PRGNAM
+
+# Remove Mac OS X stuff
+rm -f $PKG/usr/share/$PRGNAM/lib/swt/swt-4.6-cocoa-macosx-x86_64.jar
+
+# Remove Windows stuff
+rm -f $PKG/usr/share/$PRGNAM/lib/JIntellitype32.dll \
+ $PKG/usr/share/$PRGNAM/lib/JIntellitype64.dll \
+ $PKG/usr/share/$PRGNAM/lib/jnotify.dll \
+ $PKG/usr/share/$PRGNAM/lib/jnotify_64bit.dll \
+ $PKG/usr/share/$PRGNAM/lib/swt/swt-4.6-win32-win32-x86.jar \
+ $PKG/usr/share/$PRGNAM/lib/swt/swt-4.6-win32-win32-x86_64.jar \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM-1024.exe \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM-2048_64-bit-Java.exe \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM-256.exe \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM-4096_64-bit-Java.exe \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM-512.exe \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM-768.exe \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM-8192_64-bit-Java.exe \
+ $PKG/usr/share/$PRGNAM/misc/$SRCNAM.bat
+
+# Remove unnecessary Arch-related stuff
+if [ "$ARCH" = "x86_64" ]; then
+ rm -f $PKG/usr/share/$PRGNAM/lib/libJXGrabKey32.so \
+ $PKG/usr/share/$PRGNAM/lib/libjnotify32.so \
+ $PKG/usr/share/$PRGNAM/lib/swt/swt-4.6-gtk-linux-x86.jar
+else
+ rm -f $PKG/usr/share/$PRGNAM/lib/libJXGrabKey64.so \
+ $PKG/usr/share/$PRGNAM/lib/libjnotify64.so \
+ $PKG/usr/share/$PRGNAM/lib/swt/swt-4.6-gtk-linux-x86_64.jar
+fi
+
+# Create launcher
+cat > $PKG/usr/bin/$PRGNAM << EOF
+#!/bin/sh
+
+/usr/share/$PRGNAM/$SRCNAM-GTK3.sh "\$@"
+
+EOF
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+# Create destop entry
+cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
+[Desktop Entry]
+Type=Application
+Name=$SRCNAM
+GenericName=$SRCNAM desktop search
+Comment=$SRCNAM desktop search
+Icon=/usr/share/$PRGNAM/img/squirrel.png
+Exec=$PRGNAM
+Path=/usr/share/$PRGNAM
+Categories=Utility;
+EOF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/docfetcher/docfetcher.info b/desktop/docfetcher/docfetcher.info
new file mode 100644
index 0000000000..9d06fdcea9
--- /dev/null
+++ b/desktop/docfetcher/docfetcher.info
@@ -0,0 +1,10 @@
+PRGNAM="docfetcher"
+VERSION="1.1.19"
+HOMEPAGE="http://docfetcher.sourceforge.net/"
+DOWNLOAD="https://downloads.sourceforge.net/docfetcher/docfetcher-1.1.19-portable.zip"
+MD5SUM="02896fe5232aa603eff2cc98d50185db"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openjdk"
+MAINTAINER="Leo C."
+EMAIL="leoc@gmx.com"
diff --git a/desktop/docfetcher/doinst.sh b/desktop/docfetcher/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/docfetcher/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/docfetcher/paths.patch b/desktop/docfetcher/paths.patch
new file mode 100644
index 0000000000..6f071637c1
--- /dev/null
+++ b/desktop/docfetcher/paths.patch
@@ -0,0 +1,18 @@
+--- DocFetcher-1.1.19.orig/misc/paths.txt 2017-01-10 16:36:26.000000000 +0100
++++ DocFetcher-1.1.19/misc/paths.txt 2018-01-23 08:39:05.136882469 +0100
+@@ -28,10 +28,13 @@
+
+ # Where the settings are stored:
+ #settings=C:/path/to/settings/folder
++settings=${user.home}/.docfetcher/conf
+
+ # Where the indexes are stored. Note: The DocFetcher daemon currently ignores
+ # this setting.
+ #indexes=C:/path/to/indexes/folder
++indexes=${user.home}/.docfetcher/indexes
+
+ # Where the SWT library files will be written to:
+-#swt=C:/path/to/swt-libs
+\ No newline at end of file
++#swt=C:/path/to/swt-libs
++swt=${user.home}/.docfetcher/swt
diff --git a/desktop/docfetcher/slack-desc b/desktop/docfetcher/slack-desc
new file mode 100644
index 0000000000..c66df9e1db
--- /dev/null
+++ b/desktop/docfetcher/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+docfetcher: docfetcher (a Java desktop search application)
+docfetcher:
+docfetcher: DocFetcher is an Open Source desktop search application.
+docfetcher: It allows you to search the contents of files on your computer.
+docfetcher: You can think of it as Google for your local files.
+docfetcher:
+docfetcher:
+docfetcher:
+docfetcher:
+docfetcher: Homepage: http://docfetcher.sourceforge.net/
+docfetcher: